org.keycloak.subsystem.extension.authserver

## Class AbstractAddOverlayHandler

- java.lang.Object
- - org.keycloak.subsystem.extension.authserver.AbstractAddOverlayHandler

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler
  Direct Known Subclasses:
    AddProviderHandler, OverlayKeycloakServerJsonHandler

      public abstract class AbstractAddOverlayHandler
      extends Object
      implements org.jboss.as.controller.OperationStepHandler

  Base class for operations that create overlays for an auth server.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2014 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `BYTES_TO_UPLOAD`
    `protected static org.jboss.as.controller.SimpleAttributeDefinition` | `OVERWRITE`
    `protected static String` | `UPLOADED_FILE_OP_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAddOverlayHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UPLOADED_FILE_OP_NAME

          protected static final String UPLOADED_FILE_OP_NAME

      See Also:
        Constant Field Values

    - #### BYTES_TO_UPLOAD

          protected static final org.jboss.as.controller.SimpleAttributeDefinition BYTES_TO_UPLOAD

    - #### OVERWRITE

          protected static final org.jboss.as.controller.SimpleAttributeDefinition OVERWRITE

  - ### Constructor Detail

    - #### AbstractAddOverlayHandler

          public AbstractAddOverlayHandler()

  - ### Method Detail

    - #### execute

          public void execute(org.jboss.as.controller.OperationContext context,
                     org.jboss.dmr.ModelNode operation)
                       throws org.jboss.as.controller.OperationFailedException

      Specified by:
        `execute` in interface `org.jboss.as.controller.OperationStepHandler`
      Throws:
        `org.jboss.as.controller.OperationFailedException`

Copyright © 2015. All Rights Reserved.